using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFatB33
    {
        public void Insert(entidadeTempFatB33 objTempFatB33)
        {
            dalTempFatB33 dalTempFatB33 = null;

            try
            {
                dalTempFatB33 = new dalTempFatB33();

                dalTempFatB33.Insert(objTempFatB33);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert_1(entidadeTempFatB33 objTempFatB33)
        {
            dalTempFatB33 dalTempFatB33 = null;

            try
            {
                dalTempFatB33 = new dalTempFatB33();

                dalTempFatB33.Insert_1(objTempFatB33);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute(entidadeTempFatB33 objTempFatB33)
        {
            dalTempFatB33 dalTempFatB33 = null;

            try
            {
                dalTempFatB33 = new dalTempFatB33();

                dalTempFatB33.Execute(objTempFatB33);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempFatB33 objTempFatB33)
        {
            dalTempFatB33 dalTempFatB33 = null;

            try
            {
                dalTempFatB33 = new dalTempFatB33();

                dalTempFatB33.Execute_1(objTempFatB33);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
